MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001291XdebugInstallationpublic2016-04-09 03:242016-05-10 23:37
Reporterexpora 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0 
Target VersionFixed in Version2.4.1 
Summary0001291: Debugclient installation fails on Mac OS X
DescriptionAfter successful compilation, it's impossible to install debugclient. Maybe it's due to the System Integrity Protection feature on recent Mac OS X versions?

$ sudo make install
Password:
 ./install-sh -c -d '/usr/local/bin'
/bin/sh: ./install-sh: Permission denied
make[1]: *** [install-binPROGRAMS] Error 1
make: *** [install-am] Error 2
Steps To ReproduceUnpacking the Xdebug source tarball and running:

cd debugclient/
./configure --with-libedit
make
sudo make install
Additional InformationXdebug build and installation were done against PHP 7.0.5 but I can only select up to 7.0.4 in this report.
TagsNo tags attached.
Operating SystemMac OS X 10.11.4
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003579)
derick (administrator)
2016-04-10 17:51

I'm not familiar with Mac OS X - what does this feature do? In any case, you should be able to just run the "debugclient" command from the compiled directory. I don't ever install it myself actually. Just ./debugclient/debugclient.

It'd be good to be able to fix this though, but not sure how (and I can't try, as I have no Mac).
(0003584)
expora (reporter)
2016-04-17 23:10
edited on: 2016-04-17 23:11

This feature stops people from writing to certain system directories, I think that's why they call it "rootless mode" because not even root can write to them. You need to disable the feature altogether to have the regular permissions. It's been controversial. Maybe the install script is trying to write to a "secure" directory, although /usr/local should be allowed.

(0003598)
derick (administrator)
2016-05-10 23:37

I see the problem. The install script (install-sh) does not have the right
permissions. On Linux, there is usually /usr/bin/install, so ./install-sh
is not used. If I remove my local /usr/bin/install, I can reproduce this.

I have fixed this, for Xdebug 2.4.1.

- Issue History
Date Modified Username Field Change
2016-04-09 03:24 expora New Issue
2016-04-10 17:51 derick Note Added: 0003579
2016-04-10 17:51 derick Assigned To => derick
2016-04-10 17:51 derick Status new => feedback
2016-04-17 23:10 expora Note Added: 0003584
2016-04-17 23:10 expora Status feedback => assigned
2016-04-17 23:11 expora Note Edited: 0003584 View Revisions
2016-05-10 23:37 derick Note Added: 0003598
2016-05-10 23:37 derick Status assigned => closed
2016-05-10 23:37 derick Resolution open => fixed
2016-05-10 23:37 derick Fixed in Version => 2.4.1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker